import atexit
from aiohttp import web, ClientSession

session = ClientSession()
async def close_session(*args, **kwargs):
    await session.close()

app = web.Application()
app.on_cleanup.append(close_session)

def status(_req):
    return web.Response(text="alive")

app.add_routes([
    web.get("/status", status),
    web.post("/gitea", __import__("autopypa.gitea").gitea.hook)
])
