import setuptools

with open("README.md", "r") as fd:
    long_description = fd.read()

setuptools.setup(
    name="autopypa",
    version="1.0.1",
    author="Julien Castiaux",
    author_email="julien.castiaux@gmail.com",
    description="Hook on git tag release to automatically fetch sources and distribute the project.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://git.drlazor.be/Julien/autopypa",
    packages=setuptools.find_packages(),
    install_requires=["aiohttp"],
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Environment :: No Input/Output (Daemon)",
        "Framework :: AsyncIO",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Topic :: System :: Archiving :: Packaging",
    ],
)
